Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface MouseListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DialogBox, MouseListenerAdapter

    public interface MouseListener

extends java.util.EventListener

Event listener interface for mouse events.

Method Summary
`void` | `onMouseDown(Widget sender, int x, int y)` Fired when the user depresses the mouse button over a widget.
`void` | `onMouseEnter(Widget sender)` Fired when the mouse enters a widget's area.
`void` | `onMouseLeave(Widget sender)` Fired when the mouse leaves a widget's area.
`void` | `onMouseMove(Widget sender, int x, int y)` Fired when the user moves the mouse over a widget.
`void` | `onMouseUp(Widget sender, int x, int y)` Fired when the user releases the mouse button over a widget.

Method Detail

### onMouseDown

    void onMouseDown(Widget sender,
                     int x,
                     int y)

  Fired when the user depresses the mouse button over a widget.

  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### onMouseEnter

    void onMouseEnter(Widget sender)

  Fired when the mouse enters a widget's area.

  Parameters:
    `sender` - the widget sending the event

### onMouseLeave

    void onMouseLeave(Widget sender)

  Fired when the mouse leaves a widget's area.

  Parameters:
    `sender` - the widget sending the event

### onMouseMove

    void onMouseMove(Widget sender,
                     int x,
                     int y)

  Fired when the user moves the mouse over a widget.

  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### onMouseUp

    void onMouseUp(Widget sender,
                   int x,
                   int y)

  Fired when the user releases the mouse button over a widget.

  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD